package com.fjs.scenic.mapper.system;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.fjs.scenic.dto.PermissionDto;
import com.fjs.scenic.entity.system.Permission;

public interface PermissionMapper {
	int deleteByPrimaryKey(Integer id);

	int insert(Permission record);

	int insertSelective(Permission record);

	Permission selectByPrimaryKey(Integer id);

	int updateByPrimaryKeySelective(Permission record);

	int updateByPrimaryKey(Permission record);

	List<PermissionDto> selectTree();

	List<Permission> getParent();

	List<Permission> getAll();

	List<PermissionDto> getListByManageId(Integer id);

	/** 查詢所以的菜单*/
	List<String> getPermissionAll();
	
	/** 查询管理员拥有的权限菜单*/
	List<String> getPermissionsByManageId(@Param("managerId")Integer managerId);

	/**
	 * 通过账号获取登录用户权限
	 * @param account
	 * @return
	 */
    List<PermissionDto> getListByManageAccount(@Param("account")String account);
}